Bug 75675 - anaconda crashes with partition options: --ondisk=sda or --ondisk=sdb
Summary: anaconda crashes with partition options: --ondisk=sda or --ondisk=sdb
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-10 22:29 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-10 22:29:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-10 22:29:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
The 7.3 Customization Documentation suggests using "sdb" here; however, this 
crashes anaconda with a KeyError: "sdb".

Looking at the resulting kickstart file from a manual install, it suggests that 
the proper option usage fragment is:

--ondisk=ida/c0d0
--ondisk=ida/c0d1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up otherwise valid Kickstart file on floppy as ks.cfg
2. Use part keyword with --ondisk=sdb and/or --ondisk=sda
3. Boot with ks=floppy


Actual Results:  Anaconda runs, checks video, then gives a backtrace.

Expected Results:  Partitions should have been cleared and then created on the 
first and second SCSI devices - which are (or were) /dev/sda and /dev/sdb.  
Documentation should not suggest using --ondisk=sdb if that is no longer 
supported.  Documentation also suggests --onpart hda1; this is likely also to 
be wrong.

Additional info:

Looking in the install environment for:

/dev/hd[ab]
/dev/sd[ab]
/dev/ida/c[0-9]d[0-9]

was no help as these do not exist...

Comment 1 Jeremy Katz 2002-10-14 09:41:04 UTC
The device to specify depends on the hardware layout on your system.  The
customization guide provides a starting off point and cannot possibly catalogue
all possible combinations of hardware.  Unfortunately, the Compaq SmartArray
devices do not fit into the same sd[abc] scheme as most other SCSI devices,
instead using their own /dev/ida/c0d0 or /dev/cciss/c0d0 scheme


Note You need to log in before you can comment on or make changes to this bug.